package threadexample;

import java.awt.Color;

import javax.swing.JLabel;

public class JWait extends JLabel implements Runnable {

	private final String MESSAGE = "Wait, please";
	private boolean running = false;

	public JWait() {
		this.setText(MESSAGE);
		this.setOpaque(true);
		this.setBackground(Color.YELLOW);
	}

	public void start() {
		if (!running) {
			running = true;
			Thread t = new Thread(this);
			t.setDaemon(true);
			t.start();
		}
	}

	public void stop() {
		running = false;
	}

	public void reset() {
		this.setText(MESSAGE);
	}

	@Override
	public void run() {
		while (running) {
			this.setText(this.getText() + ".");
			try {
				Thread.sleep(1000);
			} catch (InterruptedException e) {
			}
		}
	}

}
